Bug 866781 - Server not throwing "Packet too large" error if max_allowed_packet >= 16M
Server not throwing "Packet too large" error if max_allowed_packet >= 16M
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: mysql (Show other bugs)
6.1
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Honza Horak
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-16 02:46 EDT by Gianluca Varisco
Modified: 2013-06-27 05:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-27 05:26:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gianluca Varisco 2012-10-16 02:46:19 EDT
Description of problem:

In MySQL Server 5.1.52 a packet is not rejected if it is over the server's max_allowed_packet bytes and max_allowed_packet is set to 16M or higher.

If the server's max_allowed_packet is set to anything lower than 16M it behaves correctly.

Version-Release number of selected component (if applicable):

$ cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 6.1 (Santiago)

mysql-5.1.52-1.el6_0.1.x86_64
mysql-server-5.1.52-1.el6_0.1.x86_64
mysql-libs-5.1.52-1.el6_0.1.x86_64

Upstream report: http://bugs.mysql.com/bug.php?id=58887

According to it, it's fixed in 5.1.55, 5.5.9, 5.6.2 versions.

Would be possible to backport this patch to 5.1.52 or is there a planned update for the MySQL component in 6.1 version?
Comment 2 Tom Lane 2012-10-16 09:51:48 EDT
While I've not actually tried to test this, the upstream report says it's fixed in 5.1.55 and later, so the problem should be gone as of RHEL6.2.  Why haven't you updated?
Comment 3 RHEL Product and Program Management 2012-12-14 03:03:11 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 4 Honza Horak 2013-06-27 05:26:02 EDT
Closing as per comment #2, this bug should be fixed in RHEL-6.2 or later. Feel free to re-open if it isn't.

Note You need to log in before you can comment on or make changes to this bug.